 #include <Servo.h>//Подключение библиотеки Servo

int PtnPin = A0;//Вывод потенциометра
int SrvPin = 7;//Тестируемый серво
int MinTiming = 400;//Нижняя граница длительности
int MaxTiming = 2800;//Верхняя граница длительности
Servo TestServo;//Рабочая переменная типа Servo

void setup(){
  Serial.begin(9600);//Инициализация Serial-соединения
  TestServo.attach(SrvPin,MinTiming,MaxTiming);
  pinMode(PtnPin,INPUT);
  //Инициализация сервопривода
}

void loop(){
  int i = map(analogRead(PtnPin),0,1023,MinTiming,MaxTiming);
  //Преобразование сигнала от потенциометра из 0..1023 в 300..3000
  TestServo.writeMicroseconds(i);
  //Перемещение сервопривода в положение соответствующее сигналу
  Serial.println(i);
  //Отправка текущего значение в монитор порта
  delay(100);//Задержка на выполнение перемещения
}
